# $Id$

# Activated modules
RewriteEngine on

# We talk utf8 here
AddDefaultCharset utf-8

# Disallowed files: .htaccess, .htpasswd, .svn etc.
<Files ~ "^\.ht">
  Order allow,deny
  Deny from all
</Files>

<Files ~ "^\.svn">
  Order allow,deny
  Deny from all
</Files>

# MIME Types
<IfModule mod_action.c>
  AddType application/x-cgi-php .html
  Action application/x-cgi-php /cgi-bin/php5
</IfModule>
<IfModule !mod_action.c>
  AddType application/x-httpd-php .html
</IfModule>
AddType text/css .css
AddType application/octet-stream .TAP

# Redirects for disallowed stuff
RewriteRule ^.git/.* /.git/ [L]
RewriteRule ^.svn/.* /.svn/ [L]
RewriteRule (.*)/.svn/.* /$1/.svn/ [L]

# Redirects for manual and lists
RewriteRule ^manual/$ /manual.html?page=index [L]
RewriteRule ^manual/(.*)[.]html /manual.html?page=$1 [L]
RewriteRule ^list/$ /list.html?page=threads [L]
RewriteRule ^list/(.*)[.]html /list.html?page=$1 [L]
RewriteRule ^list-svn/$ /list-svn.html?page=threads [L]
RewriteRule ^list-svn/(.*)[.]html /list-svn.html?page=$1 [L]
RewriteRule ^list-trac/$ /list-trac.html?page=threads [L]
RewriteRule ^list-trac/(.*)[.]html /list-trac.html?page=$1 [L]

# Misc. redirects
RewriteRule ^([^/]*).(gz|bz2|zip) /files/$1.$2 [R=permanent,L]
RewriteRule ^images/(.*) /img/$1 [R=permanent,L]
RewriteRule ^labs/img2oric.html /img2oric/ [R=permanent,L]
RewriteRule ^devel.html /wiki [R=permanent,L]
RewriteRule ^cgi-bin/viewcvs.cgi /browser [R=permanent,L]

# Redirects for Trac - FIXME
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule ^(.*)$ /cgi-bin/trac.cgi/$1 [PT,L,E=SCRIPT_NAME:/]

